Bug 13076 - Enabling vfs_fruit results in loss of Finder tags and other xattrs
Enabling vfs_fruit results in loss of Finder tags and other xattrs
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-09 14:53 UTC by Ralph Böhme
Modified: 2017-11-01 08:55 UTC (History)
3 users (show)

See Also:


Attachments
Patch for 4.7 cherry-picked from master (46.58 KB, patch)
2017-10-15 10:01 UTC, Ralph Böhme
jra: review+
vl: review+
Details
Patch for 4.6 backported from master (46.39 KB, patch)
2017-10-15 10:02 UTC, Ralph Böhme
jra: review+
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-10-09 14:53:52 UTC
Enabling vfs_fruit on a share where data has been previously stored by Macs without vfs_fruit and a named streams module, existing ._ AppleDouble sidecar files are converted on-access by vfs_fruit from a more complex format that can carry xattrs to a simpler form that only supports FinderInfo and ResourceFork.

As a result the conversion looses any custom xattr, most user noticeable impact is that Finder tags are gone as those are saved in an xattr.

Working on a fix...
Comment 1 Ralph Böhme 2017-10-15 10:01:41 UTC
Created attachment 13691 [details]
Patch for 4.7 cherry-picked from master
Comment 2 Ralph Böhme 2017-10-15 10:02:21 UTC
Created attachment 13692 [details]
Patch for 4.6 backported from master
Comment 3 Jeremy Allison 2017-10-16 23:08:49 UTC
Re-assigning to Karolin for inclusion in 4.7.next, 4.6.next.
Comment 4 Karolin Seeger 2017-10-24 10:57:01 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-{7,6}-test.
Comment 5 Karolin Seeger 2017-11-01 08:55:24 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!